## p7zip-rar 16.02

=== CPP/7zip/CMAKE/7zr/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -D_NO_CRYPTO -DBREAK_HANDLER -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_executable(7zr

  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/7zStream.c"
  "../../../../C/Alloc.c"
  "../../../../C/Bcj2.c"
  "../../../../C/Bcj2Enc.c"
  "../../../../C/Bra.c"
  "../../../../C/Bra86.c"
  "../../../../C/BraIA64.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Delta.c"
  "../../../../C/LzFind.c"
  "../../../../C/LzFindMt.c"
  "../../../../C/Lzma2Dec.c"
  "../../../../C/Lzma2Enc.c"
  "../../../../C/LzmaDec.c"
  "../../../../C/LzmaEnc.c"
  "../../../../C/MtCoder.c"
  "../../../../C/Sha256.c"
  "../../../../C/Threads.c"
  "../../../../C/Xz.c"
  "../../../../C/XzCrc64.c"
  "../../../../C/XzCrc64Opt.c"
  "../../../../C/XzDec.c"
  "../../../../C/XzEnc.c"
  "../../../../C/XzIn.c"
  "../../../../CPP/7zip/Archive/7z/7zCompressionMode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zDecode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zEncode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zExtract.cpp"
  "../../../../CPP/7zip/Archive/7z/7zFolderInStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandler.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHeader.cpp"
  "../../../../CPP/7zip/Archive/7z/7zIn.cpp"
  "../../../../CPP/7zip/Archive/7z/7zOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zProperties.cpp"
  "../../../../CPP/7zip/Archive/7z/7zRegister.cpp"
  "../../../../CPP/7zip/Archive/7z/7zSpecStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zUpdate.cpp"
  "../../../../CPP/7zip/Archive/Common/CoderMixer2.cpp"
  "../../../../CPP/7zip/Archive/Common/DummyOutStream.cpp"
  "../../../../CPP/7zip/Archive/Common/HandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Common/InStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/ItemNameUtils.cpp"
  "../../../../CPP/7zip/Archive/Common/MultiStream.cpp"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/ParseProperties.cpp"
  "../../../../CPP/7zip/Archive/LzmaHandler.cpp"
  "../../../../CPP/7zip/Archive/SplitHandler.cpp"
  "../../../../CPP/7zip/Archive/XzHandler.cpp"
  "../../../../CPP/7zip/Common/CWrappers.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilePathAutoRename.cpp"
  "../../../../CPP/7zip/Common/FileStreams.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/InBuffer.cpp"
  "../../../../CPP/7zip/Common/InOutTempBuffer.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MethodId.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/OffsetStream.cpp"
  "../../../../CPP/7zip/Common/OutBuffer.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamBinder.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Common/VirtThread.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Coder.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Register.cpp"
  "../../../../CPP/7zip/Compress/BcjCoder.cpp"
  "../../../../CPP/7zip/Compress/BcjRegister.cpp"
  "../../../../CPP/7zip/Compress/BranchMisc.cpp"
  "../../../../CPP/7zip/Compress/BranchRegister.cpp"
  "../../../../CPP/7zip/Compress/ByteSwap.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/Compress/CopyRegister.cpp"
  "../../../../CPP/7zip/Compress/DeltaFilter.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Decoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Encoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Register.cpp"
  "../../../../CPP/7zip/Compress/LzmaDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaEncoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaRegister.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveCommandLine.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveExtractCallback.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveOpenCallback.cpp"
  "../../../../CPP/7zip/UI/Common/Bench.cpp"
  "../../../../CPP/7zip/UI/Common/DefaultName.cpp"
  "../../../../CPP/7zip/UI/Common/EnumDirItems.cpp"
  "../../../../CPP/7zip/UI/Common/Extract.cpp"
  "../../../../CPP/7zip/UI/Common/ExtractingFilePath.cpp"
  "../../../../CPP/7zip/UI/Common/HashCalc.cpp"
  "../../../../CPP/7zip/UI/Common/LoadCodecs.cpp"
  "../../../../CPP/7zip/UI/Common/OpenArchive.cpp"
  "../../../../CPP/7zip/UI/Common/PropIDUtils.cpp"
  "../../../../CPP/7zip/UI/Common/SetProperties.cpp"
  "../../../../CPP/7zip/UI/Common/SortUtils.cpp"
  "../../../../CPP/7zip/UI/Common/TempFiles.cpp"
  "../../../../CPP/7zip/UI/Common/Update.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateAction.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateCallback.cpp"
  "../../../../CPP/7zip/UI/Common/UpdatePair.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateProduce.cpp"
  "../../../../CPP/7zip/UI/Console/BenchCon.cpp"
  "../../../../CPP/7zip/UI/Console/ConsoleClose.cpp"
  "../../../../CPP/7zip/UI/Console/ExtractCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/HashCon.cpp"
  "../../../../CPP/7zip/UI/Console/List.cpp"
  "../../../../CPP/7zip/UI/Console/Main.cpp"
  "../../../../CPP/7zip/UI/Console/MainAr.cpp"
  "../../../../CPP/7zip/UI/Console/OpenCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/PercentPrinter.cpp"
  "../../../../CPP/7zip/UI/Console/UpdateCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/UserInputUtils.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CommandLineParser.cpp"
  "../../../../CPP/Common/CrcReg.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/ListFileUtils.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/NewHandler.cpp"
  "../../../../CPP/Common/Sha256Reg.cpp"
  "../../../../CPP/Common/StdInStream.cpp"
  "../../../../CPP/Common/StdOutStream.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Common/XzCrc64Reg.cpp"
  "../../../../CPP/Windows/ErrorMsg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantConv.cpp"
  "../../../../CPP/Windows/Synchronization.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/myWindows/myAddExeFlag.cpp"
  "../../../../CPP/myWindows/mySplitCommandLine.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


IF(APPLE)
   TARGET_LINK_LIBRARIES(7zr ${COREFOUNDATION_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7zr ${CMAKE_THREAD_LIBS_INIT} dl)
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

## p7zip-rar 9.20.1~ds.1

=== debian/changelog ===
p7zip-rar (9.20.1~ds.1-4) unstable; urgency=medium

  * Adopting package (closes:  #812124).
  * Switch to the `3.0 (quilt)' source format.
  * Bump debhelper compatibility level to v9 and use minimised debian/rules.
  * Refresh the 01-clean-makefile.patch with gbp pq import/export.
  * Copy the following patches from p7zip package:
    + 03-include-linux-makefile.patch to have makefile.machine include
      makefile.linux_any_cpu_gcc_4.X;
    + 04-no-strip-by-default.patch to drop the -s flag from gcc options;
    + 05-hardening-flags.patch to support $(CPPFLAGS) and not to override
      $(CXXFLAGS) and $(CFLAGS). This enables hardening builds.
  * debian/control:
    + add Vcs-Git and Vcs-Browser fields;
    + bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sun, 31 Jan 2016 12:20:17 +0100

p7zip-rar (9.20.1~ds.1-3) unstable; urgency=low

  * Make package autobuildable. (Closes: #633639)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 03 Aug 2011 12:32:40 +0200

p7zip-rar (9.20.1~ds.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 28 Jun 2011 17:17:12 +0200

p7zip-rar (9.20.1~ds.1-1) experimental; urgency=low

  * New upstream release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 04 Apr 2011 18:23:57 +0200

p7zip-rar (9.04~ds.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 27 Jun 2009 16:30:49 +0200

p7zip-rar (4.65~ds.1-1) unstable; urgency=low

  * New upstream release.
  * Don't use dh_clean with -k option.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 14 Feb 2009 20:14:57 +0100

p7zip-rar (4.61~ds.1-1) experimental; urgency=low

  * New upstream release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 21 Dec 2008 15:17:59 +0100

p7zip-rar (4.58~ds.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + bump Standards-Version to 3.8.0.
     + bump build-dependency on debhelper 7.
  * debian/compat: set compatibility level to 7.
  * Add a debian/watch file.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 21 Jun 2008 15:33:39 +0200

p7zip-rar (4.57~ds.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + bump Standards-Version to 3.7.3.
     + add Homepage field.
  * debian/copyright converted to Unicode.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 21 Dec 2007 16:28:58 +0100

p7zip-rar (4.55~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 14 Sep 2007 22:44:09 +0200

p7zip-rar (4.53~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 11 Sep 2007 16:40:19 +0200

p7zip-rar (4.51~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 04 Aug 2007 22:01:25 +0200

p7zip-rar (4.47~ds.1-1) unstable; urgency=low

  * New upstream version.
  * Refresh dependencies and patch.
  * In debian/rules, call
        [ ! -f makefile ] || $(MAKE) rar-clean
    instead of
        -$(MAKE) rar-clean

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 02 Jul 2007 00:08:43 +0200

p7zip-rar (4.45~ds.1-1) unstable; urgency=low

  * New upstream version.
  * Bump debhelper compatibility to 5.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 22 Apr 2007 12:21:51 +0200

p7zip-rar (4.44.ds.1-1) unstable; urgency=low

  * Redo tarball not to clutter .diff.gz.
  * Correct dependency on p7zip.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 10 Apr 2007 00:39:58 +0200

p7zip-rar (4.44-1) unstable; urgency=low

  * New upstream version.
  * Initial upload to non-free/unstable. (Closes: #410414)
  * Depends on p7zip-full.
  * Build-Depend on quilt.
  * Patch makefile for build: 01_clean_makefile.diff.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 12 Feb 2007 23:28:05 +0100

p7zip-rar (4.33-1) unstable; urgency=low

  * New upstream release
  * Depends on p7zip (= 4.33.dfsg-1)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 10 Feb 2006 23:13:13 +0100

p7zip-rar (4.30-1) unstable; urgency=low

  * New upstream release

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 27 Nov 2005 15:42:53 +0100

p7zip-rar (4.29-2) unstable; urgency=low

  * Depends on p7zip >= 4.29.dfsg-1

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 24 Nov 2005 01:34:17 +0100

p7zip-rar (4.29-1) unstable; urgency=low

  * New upstream version

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  8 Oct 2005 00:34:45 +0200

p7zip-rar (4.27-1) unstable; urgency=low

  * Initial release

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 20 Sep 2005 19:24:47 +0000

=== debian/control ===
Source: p7zip-rar
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 9)
XS-Autobuild: yes
Standards-Version: 3.9.6
Homepage: http://p7zip.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/users/robert/p7zip-rar.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/p7zip-rar.git

Package: p7zip-rar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, p7zip-full (>= 9.20.1~), p7zip-full (<< 9.20.2~)
Description: non-free rar module for p7zip
 p7zip is the Unix port of 7-Zip, a file archiver that archives with
 very high compression ratios.
 .
 p7zip-rar provides a module for p7zip-full to make 7z able to
 extract RAR files.

=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS         := -v -Smakefile --parallel

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie # pie does not work with shared libs

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
  CXX := $(DEB_HOST_GNU_TYPE)-g++
else
  CC  := gcc
  CXX := g++
endif

%:
	dh ${@}

override_dh_auto_clean:
	# Make sure patches are applied otherwise `make clean' fails
	# on trying to clean the removed Rar directory (see #769520).
	dpkg-source --before-build $(CURDIR)
	dh_auto_clean $(DH_AUTO_OPTIONS) -- rar-clean
	rm -rf bin/

override_dh_auto_build:
	dh_auto_build $(DH_AUTO_OPTIONS) -- rar

override_dh_auto_install:
	dh_install  bin/Codecs usr/lib/p7zip

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Line continuations are performed with \
opts=dversionmangle=s/\.ds\.\d+$// \
 http://qa.debian.org/watch/sf.php/p7zip/p7zip_(.*)_src_all.tar.bz2 debian uupdate

## p7zip-rar 15.14.1

=== debian/changelog ===
p7zip-rar (15.14.1-1) unstable; urgency=low

  * New upstream version.
  * Update 01-clean-makefile.patch for new version and remove the following
    no longer needed patches: 06-s390.patch, 07-endian-detection.patch, and
    08-mips.patch.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Apr 2016 08:10:10 +0200

p7zip-rar (15.09-2) unstable; urgency=low

  * Upload to unstable.
  * Switch Vcs-Git to https, and Vcs-Browser to cgit.
  * Bump Standards-Version to 3.9.7.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2016 09:49:59 +0100

p7zip-rar (15.09-1) experimental; urgency=low

  * New upstream version.
  * Synchronize patches from the p7zip package. This introduces 06-s390.patch,
    07-endian-detection.patch, and 08-mips.patch related to FTBFS fixes.
  * Update p7zip dependency in debian/control.
  * Switch debian/copyright to DEP-5 format.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Feb 2016 00:30:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 	# Make sure patches are applied otherwise `make clean' fails
 	# on trying to clean the removed Rar directory (see #769520).
 	dpkg-source --before-build $(CURDIR)
-	dh_auto_clean $(DH_AUTO_OPTIONS) -- rar-clean
+	dh_auto_clean $(DH_AUTO_OPTIONS) -- OPTFLAGS=
 	rm -rf bin/
 
 override_dh_auto_build:
-	dh_auto_build $(DH_AUTO_OPTIONS) -- rar
+	dh_auto_build $(DH_AUTO_OPTIONS) -- OPTFLAGS= rar
 
 override_dh_auto_install:
 	dh_install  bin/Codecs usr/lib/p7zip

## p7zip-rar 16.02

=== debian/changelog ===
p7zip-rar (16.02-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:16 +0100

p7zip-rar (16.02-3) unstable; urgency=medium

  * Hopefully fix uninitialized memory access (CVE-2018-10115)
    by applying  changes described at
    https://landave.io/files/patch_7zip_CVE-2018-10115.txt
    (closes: #897674, LP: #1768984).
  * debian/control:
    + switch VCS fields to salsa;
    + set Rules-Requires-Root to no;
    + Standards-Version: 4.1.4.
  * debian/copyright: add a short comment explaining why this package
    is non-free (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 30 May 2018 09:04:26 +0200

p7zip-rar (16.02-2) unstable; urgency=medium

  * Hopefully fix Memory Corruptions via RAR PPMd (CVE-2018-5996) by
    applying a few changes from 7Zip 18.00-beta (closes: #888314).
  * Bump debhelper's compat level to 11.
  * Remove `-pie' from hardening options (see: #859442).
  * Use 'https' URL in debian/watch (lintian).
  * Standards-Version: 4.1.3.

 -- Robert Luberda <robert@debian.org>  Mon, 29 Jan 2018 22:50:53 +0100

p7zip-rar (16.02-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Aug 2016 12:54:06 +0200

=== debian/control ===
Source: p7zip-rar
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 11), yasm [amd64], yasm [i386]
XS-Autobuild: yes
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: http://p7zip.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/p7zip-rar.git
Vcs-Browser: https://salsa.debian.org/debian/p7zip-rar

Package: p7zip-rar
Architecture: any
Depends: p7zip-full (>= ${source:Upstream-Version}~),
         p7zip-full (<< ${source:Upstream-Version}.~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: non-free rar module for p7zip
 p7zip is the Unix port of 7-Zip, a file archiver that archives with
 very high compression ratios.
 .
 p7zip-rar provides a module for p7zip-full to make 7z able to
 extract RAR files.

=== debian/watch ===
version=4

https://qa.debian.org/watch/sf.php/p7zip/p7zip_(.*)_src_all.tar.bz2 debian uupdate

## p7zip-rar 16.02+transitional.1

=== debian/changelog ===
p7zip-rar (16.02+transitional.1) unstable; urgency=low

  [ Robert Luberda ]
  * Make the package transitional one depending on 7zip-rar package
    (see #991428).
  * Switch the source package format to 3.0 (native), move the package
    to section non-free/oldlibs, and cleanup the packaging.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version, no changes needed.

 -- Robert Luberda <robert@debian.org>  Wed, 10 Jan 2024 01:02:31 +0100

=== debian/control ===
Source: p7zip-rar
Section: non-free/oldlibs
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
XS-Autobuild: yes
Rules-Requires-Root: no
Homepage: https://7-zip.org/
Vcs-Git: https://salsa.debian.org/debian/p7zip-rar.git
Vcs-Browser: https://salsa.debian.org/debian/p7zip-rar

Package: p7zip-rar
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, 7zip-rar
Pre-Depends: ${misc:Pre-Depends}
Description: transitional package
 This is a transitional package. It can be safely removed.
